# AI Studios - Community Pulse POST /api/v1/aistudios/community-pulse/ Content-Type: application/json **POST:** Get community pulse data for a specific studio showing trending resources with individual pulse descriptions. Returns a list of trending resources (AI Notes, AI Experts, Quests, Podcasts) each with its own single-line pulse text based on recent activity. Requires a publication URL in the POST body to filter pulse data by publication. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/aistudios/community-pulse-list ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/aistudios/community-pulse/: post: operationId: community-pulse-create summary: AI Studios - Community Pulse description: >- **POST:** Get community pulse data for a specific studio showing trending resources with individual pulse descriptions. Returns a list of trending resources (AI Notes, AI Experts, Quests, Podcasts) each with its own single-line pulse text based on recent activity. Requires a publication URL in the POST body to filter pulse data by publication. tags: - subpackage_aistudios parameters: - name: limit in: query description: 'Number of trending resources to include (default: 5, max: 10)' required: false schema: type: integer responses: '200': description: Successfully retrieved community pulse data content: application/json: schema: $ref: >- #/components/schemas/aistudios_communityPulseCreate_Response_200 '400': description: Invalid publication URL or missing url content: application/json: schema: description: Any type '404': description: Publication not found content: application/json: schema: description: Any type requestBody: content: application/json: schema: type: object properties: url: type: string description: Publication custom URL to get pulse data for required: - url components: schemas: aistudios_communityPulseCreate_Response_200: type: object properties: {} description: Empty response body title: aistudios_communityPulseCreate_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/aistudios/community-pulse/" payload = { "url": "ai-research-studio" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/aistudios/community-pulse/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"url":"ai-research-studio"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/aistudios/community-pulse/" payload := strings.NewReader("{\n \"url\": \"ai-research-studio\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/aistudios/community-pulse/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"url\": \"ai-research-studio\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/aistudios/community-pulse/") .header("Content-Type", "application/json") .body("{\n \"url\": \"ai-research-studio\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/aistudios/community-pulse/', [ 'body' => '{ "url": "ai-research-studio" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/aistudios/community-pulse/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"url\": \"ai-research-studio\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["url": "ai-research-studio"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/aistudios/community-pulse/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```